let shouldSnap = document.getElementById('gauntletSnap');
let toggleGauntlet = document.getElementById('gauntletDown');

gauntletSnap.addEventListener("click", function (el) {
  chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
    let activeTab = tabs[0];
    chrome.tabs.sendMessage(activeTab.id, {"message": "clicked_snap"});
  });
});

const background = chrome.extension.getBackgroundPage();

document.addEventListener("DOMContentLoaded", function () {
  chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
    let activeTab = tabs[0];
    if (background.getGauntletEnabledPages()[activeTab.id]) {
      chrome.tabs.sendMessage(activeTab.id, {"message": "toggle_gauntlet_start"});
      toggleGauntlet.classList.add("toggled");
    }
  });
}, false);

toggleGauntlet.addEventListener("click", function (el) {
  chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
    let activeTab = tabs[0];
    chrome.tabs.sendMessage(activeTab.id, {"message": "toggle_gauntlet"});

    if (toggleGauntlet.classList.contains("toggled")) {
      toggleGauntlet.classList.remove("toggled");
      background.getGauntletEnabledPages()[activeTab.id] = false;
    } else {
      toggleGauntlet.classList.add("toggled");
      background.getGauntletEnabledPages()[activeTab.id] = true;
    }
  });
});
